#!/bin/bash
#
# MDStop.sh - Stop Majordomo execution agent.
#

#
# Stop Majordomo
#
RUNNING=`ps -Alf | grep "rptAgentVersion=.*Majordomo" | grep -v grep | wc -l`
if [ $RUNNING -ne 0 ]; then
    pgrep -lf java | grep "rptAgentVersion=.*Majordomo" | awk '{
    print "Majordomo is running on pid " $1
    }'
    kill -9 $(pgrep -lf java | grep "rptAgentVersion=.*Majordomo" | awk '{print $1}')
    echo "Majordomo stopped"
else
    echo "Majordomo is not running"
fi
